Re-Initiate Verification

This endpoint is used to re-initiate an ID verification request to a client. Re-initiating the request will expire the previous link (if not already expired) and will send a new link to the client that is needed to begin the ID verification process. Note: a new clientRequestId will be created and passed back for the new verification request, and the previous clientRequestId will be marked as "Cancelled".

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Schema

AttributeTypeDescription
statusCodeIntegerStandard HTTP response code. Status codes are outlined in the Errors section of this API reference.
messageStringA human-readable message providing more details about the status code. Messages are outlined in the Errors section of this API reference.
data.requesterReferenceIdStringThe unique reference ID created by your organization and passed into the endpoint is returned. This ID is used to track all ID verifications associated with this request (i.e. all ID verifications associated to a file).
data.fileReferenceIdStringThe unique reference ID created by treefort for internal purposes. This ID is used to track all ID verifications associated with this request (i.e. all ID verifications associated to a file), and can be provided to treefort for troubleshooting purposes.
data.fileNameStringThe file name created by your organization or automatically created by treefort.
data.fileNumberStringThe unique file number created by your organization or automatically created by treefort.
data.fileStatusStringThe current file status. All possible file statuses are detailed in the File Details endpoint in this API reference. The initial return value will be "null".
data.transactionKeyStringThe Transaction Key is unique to each file containing 1 or more ID verifications and may be requested by a third-party (e.g., title insurance companies) for the purposes of reviewing the ID verification reports associated with each transaction (file).
data.requestsArray of ObjectsThe client profile that is associated with this request. Each client profile returned has received the request to go through the ID verification process. The individual attributes associated with each object are outlined below for the first array element.
data.requests[0].clientRequestIdStringThe unique reference ID created by treefort for internal purposes. This ID is used to track the ID verification request associated with only this client, and can be provided to treefort for troubleshooting purposes. This ID will also be required as an input for other API endpoints relating to this client.

Note: this will be a new clientRequestId and the previous clientRequestId will be marked as "Cancelled".
data.requests[0].requesterClientRequestIdStringThe unique reference ID created by your organization when the original ID verification request was created. This ID is used to track the ID verification associated with only this client.
data.requests[0].emailStringThe email address associated with the client in this client profile.
data.requests[0].requestStatusStringThe current client verification status. All possible client verification statuses are detailed in the Client Verification Details endpoint in this API reference. The initial return value will be "pending", indicating that the ID verification has been sent to the client.
data.requests[0].reportStringThe unique reference ID if there is an ID verification report available for review for the client associated with the client profile. The initial return value will be "null", indicating that there is no report available for this client.
data.requests[0].verificationReportExpiryDateStringThe date the ID verification report for this client will expire and will no longer be available for download using the Verification Report endpoint, in the following format: 2021-03-29T12:00:00. Depending on your organization's settings, this date will be a maximum of 14 days from the time the ID verification process was completed by the client and a report was returned. If no report is available for this client, the return value will be null.

Note: the report will still be available for download by authorized treefort personnel in the case of audit or troubleshooting purposes.
data.requests[0].verificationReportExpiryWarningDateStringDepending on your organization's settings, this date will be a specified number of days before the verificationReportExpiryDate (typically 2), indicating that the report will soon be unavailable to retrieve from the Verification Report endpoint.
data.requests[0].linksArray of ObjectsAn array of links that are associated with the client's ID verification (i.e. clientRequestId). Each link sent to the client is outlined here, and includes when the link was sent and the link's expiry date. The individual attributes associated with each object are outlined below for the first array element.
data.requests[0].links[0].idIntegerA unique ID created by TreeFort and used to track a particular link. This can be provided to TreeFort for troubleshooting purposes.
data.requests[0].links[0].linkStringThe unique link provided for the client to begin and complete the ID verification process. A unique link is provided for each client to complete the ID verification process.
data.requests[0].links[0].startDateStringThe date the link was sent to the client, in the following format: 2021-03-24T12:00:00.
data.requests[0].links[0].endDateStringThe date the link that was sent to the client will expire, in the following format: 2021-03-27T12:00:00.

Note: links for ID verification requests will typically expire 3 days after the request has been sent to a client, unless the request was cancelled prior using the Cancel Verification endpoint. If the client does not complete the process within 3 days, the process must be re-initiated using the Re-Initiate Verification endpoint.
data.requests[0].firstNameStringThe first name of the client associated with this clientRequestId.
data.requests[0].lastNameStringThe last name of the client associated with this clientRequestId.
errorsArray of StringsAn array of human-readable error messages, if available (null otherwise). Unique errors associated with this endpoint, if applicable, are shown in the example response in the right column with the corresponding HTTP status code.
Body Params
string
required

The unique reference ID created by treefort and passed back in response from the Create Verification Request or Update Verification Request endpoint for each client. This ID is used to track the ID verification request associated with only this client, and can be provided to TreeFort for troubleshooting purposes.

int32

An optional parameter to set the preferred notification method for a client (email vs SMS). If the value is set to 1, the client will receive an email with the link to begin the ID verification process. If the value is set to 2, the client will receive an SMS with the link to begin the ID verification process. If the value is set to 3, the client will receive an email and SMS with the link to begin the ID verification process. If the value is set to 0, the client will not receive the link to begin the ID verification process automatically - the link must be provided to the client using an alternative method (e.g., embedded into a custom email, SMS, etc.). Note: if this parameter is not used, the notification method will be set to email by default.

boolean

An optional parameter to collect a second piece of ID for a client. If the value is set to true, the client will be asked to upload a primary and secondary ID during the ID verification process. If the value is set to false, the client will only upload a primary ID document. Note: if this parameter is not used, the default setting for your organization will apply.

boolean

An optional parameter to require a banking login during the ID verification process. If the value is set to true, the client will be asked to select a financial institution where they hold an online account and will be asked to log into this account through a secure third-party connection. This will be used to determine if the client has an account with a Canadian financial institution that matches the information used in the ID verification process, and additional risk indicators will be available on the Treefort report returned. If the value is set to false, the client will not be asked to log into an account with a Canadian financial institution during the ID verification process. Note: if this parameter is not used, the default setting for your organization will apply.

boolean

An optional parameter to require advanced AML screening during the ID verification process. If the value is set to true, the client's information will be screened against a real-time database of Global Watch Lists, Sanction Lists, Fitness & Probity Lists, and PEP (Politically Exposed Persons) Lists during the ID verification process. All possible matches will be available for review in the Treefort report. If the value is set to false, an advanced AML screening for this client will not be completed. Note: if this parameter is not used, the default setting for your organization will apply.

boolean

An optional parameter to disable emails sent to the initiator's email address at any point during the ID verification process. If the value is set to true, the initiator will not receive an email with a link to the standalone Treefort portal once the client's ID verification has been completed and a report is ready for review, or if the client's ID verification request link has expired. If the value is set to false, the initiator will receive emails with the link to the standalone portal. Note: if this parameter is not used, the default will be false.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json